﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using System.IO;
using System.Diagnostics;

namespace WindowsFormsApplication6
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridBand band = e.Layout.Bands[0];
            UltraGridGroup group = band.Groups.Add("A");
            band.Columns[0].Group = group;

            group = band.Groups.Add("B");
            band.Columns[1].Group = group;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string fileName = Path.Combine(Path.GetDirectoryName(Application.ExecutablePath), "x.pdf");
            this.ultraGridDocumentExporter1.Export(this.ultraGrid1, fileName, Infragistics.Win.UltraWinGrid.DocumentExport.GridExportFileFormat.PDF);
            Process.Start(fileName);
        }

        private void ultraGridDocumentExporter1_BeginExport(object sender, Infragistics.Win.UltraWinGrid.DocumentExport.BeginExportEventArgs e)
        {
            e.Layout.Bands[0].Groups[0].Hidden = true;
        }
    }
}
